Bug 426650 - Review Request: Linux-igd - Daemon that emulates Microsoft's Internet Connection Service
Review Request: Linux-igd - Daemon that emulates Microsoft's Internet Connect...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-23 13:34 EST by MASA.H
Modified: 2008-01-13 21:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-13 21:51:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description MASA.H 2007-12-23 13:34:54 EST
Spec URL: <spec info here>
SRPM URL: http://www.masahase.mydns.jp/SRPMS/linux-igd-1.0-0.src.rpm
Description: 
This is a deamon that emulates Microsoft's Internet Connection Service (ICS).
It implements the UPnP Internet Gateway Device specification (IGD) and allows UPnP aware clients, such as MSN Messenger to work properly from behind a Linux NAT firewall.
Comment 1 Ville Skyttä 2007-12-23 15:32:33 EST
s/deamon/daemon/ in description :)
Comment 2 Mamoru TASAKA 2007-12-23 22:24:47 EST
I could not find your name in cvsextras group. Do you have to
get sponsored? Please refer to
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 3 MASA.H 2007-12-23 23:13:23 EST
cvsextras group?
I have to do more than following?
http://fedoraproject.org/wiki/PackageMaintainers/Join
Read the Guidelines : done
Create a Bugzilla Account : done
Join the important Mailing Lists : done (but only fedora-devel-announce@redhat.com)
Read Other Submissions : done
Make a Package : done
Upload Your Package : done (but only SRPM)
Create Your Review Request : doing
Comment 4 Mamoru TASAKA 2007-12-23 23:30:26 EST
If this is your first submit of review request, please follow
below (quoted from "Join" wiki)

--------------------------------------------------------
Make sure that you mention in the 'Review Description' field that this is your
first package, and you are seeking a sponsor. In Fedora Package Collection, all
new contributors must be sponsored. Some potential sponsors will look at the
FE-NEEDSPONSOR bug in bugzilla to find packages to review. You can add your
package to this list by editing your review request bug and adding
FE-NEEDSPONSOR in the 'Bug xyz blocks' field (where xyz is the bug number for
your review request). 
---------------------------------------------------------
Comment 5 MASA.H 2007-12-23 23:49:17 EST
Oh, sorry. I immidietly do that.

Fixed Description: This is a daemon that emulates Microsoft's Internet
Connection Service (ICS).
It implements the UPnP Internet Gateway Device specification (IGD) and allows
UPnP aware clients, such as MSN Messenger to work properly from behind a Linux
NAT firewall.

This is a my first package, and seeking a sponsor.

Comment 6 Mamoru TASAKA 2007-12-24 01:43:22 EST
or general packaging guidelines, you can refer to
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Also, you can check your rpms by rpmlint (in rpmlint rpm)
beforehands for generic packaging errors.

* Why do you want to use "linux-igd" for rpm name instead of
  using "linuxigd" used as tarball name?

* Please consider to use %?_dist tag.
  http://fedoraproject.org/wiki/Packaging/DistTag

* Sourceo must be given with full URL
  http://fedoraproject.org/wiki/Packaging/SourceURL

* For Fedora the license tag "GPL" is not valid.
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
  http://fedoraproject.org/wiki/Licensing

* linux-igd.src: E: description-line-too-long
  This is gained from "rpmlint *.src.rpm". You can check what
  this error means by
  "rpmlint -I description-line-too-long".

* BuildRoot tag you are using does not follow Fedora policy.
  Please refer to "BuildRoot tag" of the "Guidelines" wiki.

* Your srpm does not build.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=308640

* The lines
-------------------------------------------------
echo 'Installing into:'
echo $RPM_BUILD_ROOT
-------------------------------------------------
  is not needed (rpmbuild calls shell scripts with "set -x")

* linux-igd.src: E: no-cleaning-of-buildroot %install
  Please fix this also.

* Please use macros
  http://fedoraproject.org/wiki/Packaging/RPMMacros
  - For example, /etc must be %_sysconfdir
  - Please don't use /etc/rc.d, instead use %_initrddir
    (/etc/rc.d/init.d)

* To treat installation of rc service scripts, please
  refer to the section "Services" of
  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

! Note
  Please modify the release number of your spec file every time
  you modify your spec file to avoid confusion.
Comment 7 MASA.H 2007-12-24 04:51:13 EST
Thanks review!

>* Why do you want to use "linux-igd" for rpm name instead of
  using "linuxigd" used as tarball name?

"linux-igd" is a project name.

modified:
Spec URL: http://www.masahase.mydns.jp/SRPMS/linux-igd.spec
SRPM URL: http://www.masahase.mydns.jp/SRPMS/linux-igd-1.0-1.fc7.src.rpm
Comment 8 Mamoru TASAKA 2007-12-24 06:58:57 EST
For 1.0-1:

* Rebuild again failed.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=308701
  Please check BuildRequires.

* License tag must be "GPL+" as no version is specified
  on any codes in the tarball. From GPLv2 text (section 9):
---------------------------------------------------------
Each version is given a distinguishing version number.  If the Program
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
Software Foundation.  If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.
---------------------------------------------------------

  As rebuild fails, I cannot check this package in
  detail (as I don't have rebuilt i386 rpm), however:

* Perhaps if you try "$rpmlint linux-igd-*.i386.rpm", rpmlint
  complains about
  service-default-enabled
  Please check "rpmlint -I service-default-enabled" and fix
  this issue.

* Also perhaps rpmlint complains about "conffile-without-noreplace-flag"
  issue.

* We now recommend %defattr(-,root,root,-)

* Please recheck the section "Services" of
  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
  - There must be some Requires(post) or so.
  - And would you explain why you don't want "service condrestart"?

* For documents:
  - Including "LICENSE" text as %doc is rather mandatory
    (if it exists)

  - Also consider to add the following documents:
---------------------------------------------------------
CHANGES
TODO
---------------------------------------------------------
Comment 9 MASA.H 2007-12-24 10:03:20 EST
Thanks review!

modified:
Spec URL: http://www.masahase.mydns.jp/SRPMS/linux-igd.spec
SRPM URL: http://www.masahase.mydns.jp/SRPMS/linux-igd-1.0-2.fc7.src.rpm

Comment 10 Mamoru TASAKA 2007-12-24 10:52:35 EST
For 1.0-2:

* Redundant BuildRequires
  - BuildRequires: gcc glibc-devel are redundant
    (Fedora mimimal buildroot already contains this:
     http://koji.fedoraproject.org/scratch/mtasaka/task_309043/logs/i386/root.log )

    libupnp-devel is needed for BuildRequires.

* Fedora specific compilation flags
  - Fedora specific compilation flags are not honored.
    http://koji.fedoraproject.org/scratch/mtasaka/task_309043/logs/i386/build.log
----------------------------------------------------------------
    45  + pushd linuxigd-1.0
    46  ~/build/BUILD/linux-igd/linuxigd-1.0 ~/build/BUILD/linux-igd
    47  + make 'OPT=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i38
6 -mtune=generic -fasynchronous-unwind-tables'
    48  gcc -Wall -g -O2 -I/usr/include -I../include -c main.c
    49  gcc -Wall -g -O2 -I/usr/include -I../include -c gatedevice.c
    50  gcc -Wall -g -O2 -I/usr/include -I../include -c pmlist.c
    51  gcc -Wall -g -O2 -I/usr/include -I../include -c util.c
    52  gcc -Wall -g -O2 -I/usr/include -I../include -c config.c
    53  config.c: In function 'parseConfigFile':
    54  config.c:170: warning: implicit declaration of function 'strnlen'
    55  gcc -Wall -g -O2 main.o gatedevice.o pmlist.o util.o config.o -lpthread
-lupnp -lixml -lthreadutil -L/usr/lib -L../libs -o upnp
d
----------------------------------------------------------------
    From Makefile
    make CFLAGS="RPM_OPT_FLAGS"
    should honor Fedora specific compilation flags

* Parallel make
  - Please support parallel make if possible (please refer to the
    section "Parallel make" of
    http://fedoraproject.org/wiki/Packaging/Guidelines )

* Documents installation
  - Please use %doc macro. For example:
    http://cvs.fedoraproject.org/viewcvs/*checkout*/devel/jd/jd.spec

    %doc macro
    - First delete %RPM_BUILD_ROOT%_defaultdocdir/%name-%version then
      create it
    - Then installs the files/directories/etc listed in %doc to the
      directory
    - And automatically mark installed files as %doc

* Syntax error
----------------------------------------------------------------
linux-igd.i386: E: shell-syntax-error-in-%preun
----------------------------------------------------------------
  - The line
----------------------------------------------------------------
f [ "$1" -ge "1" ]; then
----------------------------------------------------------------
    has syntax error.
Comment 11 Mamoru TASAKA 2007-12-24 10:53:20 EST
Then:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone
NOTE: FE-NEW blockers are now not complete.

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 12 Mamoru TASAKA 2007-12-24 10:55:07 EST
Sorry, the latter lines should be substituted with:

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 13 MASA.H 2007-12-24 11:32:48 EST
Thanks a lot, Mr. Mamoru!

modified:
Spec URL: http://www.masahase.mydns.jp/SRPMS/linux-igd.spec
SRPM URL: http://www.masahase.mydns.jp/SRPMS/linux-igd-1.0-3.fc7.src.rpm

O.K. I understand the way to show I understanding of the process and of the
packaging guidelines.
Comment 14 Mamoru TASAKA 2007-12-24 12:28:03 EST
Now linux-igd itself itself is okay. I will wait for your pre-review or
your another review request submit.
Comment 15 MASA.H 2007-12-25 12:22:55 EST
Bug 426738 is another review request of mine.
Comment 16 Mamoru TASAKA 2007-12-26 07:11:59 EST
Well,
- linux-igd itself is okay.
- pards may be approved with another some fixes.

---------------------------------------------------------------
    This package (linux-igd) is APPROVED by me
---------------------------------------------------------------

Please follow the procedure according to:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 17 MASA.H 2007-12-26 11:17:35 EST
My message could not be processed by the system at CLA.
My gpg public key id is 48B1BD24. it was registerd to pgp.mit.edu. I verify
sign, so gpg tells it's Good signature. Can not the system accept signed message
of sub-key?

My key;
pub   1024D/48B1BD24 2004-07-28
uid                  Masahiro Hasegawa <masahase@gmail.com>
uid                  Masahiro Hasegawa (Osaka Univ.)
<hasegawa@mapse.eng.osaka-u.ac.jp>
uid                  Masahiro Hasegawa (MASA.H) <masahase@oucc.org>
uid                  Masahiro Hasegawa <masahase@hotmail.com>
uid                  Masahiro Hasegawa <PFF03151@nifty.com>
sub   1024g/8738D949 2004-07-28
sub   2048R/F0103B58 2004-08-31
sub   2048R/983EBFC8 2004-08-31
sub   1024D/7D37D047 2004-08-31

verify result;
gpg: Signature made Thu Dec 27 00:59:21 2007 JST using DSA key ID 7D37D047
gpg: Good signature from "Masahiro Hasegawa <masahase@gmail.com>"
gpg:                 aka "Masahiro Hasegawa (Osaka Univ.)
<hasegawa@mapse.eng.osaka-u.ac.jp>"
gpg:                 aka "Masahiro Hasegawa (MASA.H) <masahase@oucc.org>"
gpg:                 aka "Masahiro Hasegawa <masahase@hotmail.com>"
gpg:                 aka "Masahiro Hasegawa <PFF03151@nifty.com>"
Comment 18 Mamoru TASAKA 2007-12-26 12:01:38 EST
Well, it seems that you created a Fedora Account and your GPG key
is actually registered. So if you are facing with some error at
CLA, I guess it is not due to GPG register. FAS (Fedora Accrount
System) shows:

Here are some of the main details about this user: masahase is HASEGAWA Masahiro
<masahase@gmail.com>. Their GPG key ID is 48B1BD24.
Comment 19 Mamoru TASAKA 2007-12-31 03:41:07 EST
Do you still have problems with Fedora Account System?
Comment 20 MASA.H 2007-12-31 07:18:34 EST
Yes, I have.
System says;
With regards to "Re: Fedora Individual Contributor License Agreement".

Your message could not be processed.

Reason:

The signature could not be processed.  The signature may have been created or
attached improperly, it might not match the key ID you have registered in the
Account System, or the public key may not have been found on the key server. 
For guidance, please see the following page:
Comment 21 Mamoru TASAKA 2008-01-01 02:48:26 EST
Would you check the following page?

http://fedoraproject.org/wiki/Infrastructure/AccountSystem/Contact
Comment 22 Mamoru TASAKA 2008-01-12 21:45:11 EST
Okay, now I am sponsoring you. Please proceed following
"Join" wiki.
Comment 23 MASA.H 2008-01-13 08:07:36 EST
New Package CVS Request
=======================
Package Name: linux-igd
Short Description: The Linux UPNP Internet GATEWAY DEVICE
Owners: masahase
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 24 Kevin Fenzi 2008-01-13 13:00:05 EST
cvs done.
Comment 25 MASA.H 2008-01-13 20:22:45 EST
I'm trying to request builds. Then, I got a question.

Koji told me to need ".fedora-upload-ca.cert". But I don't have. The file is
same ".fedora.cert"?
Comment 26 Mamoru TASAKA 2008-01-13 20:51:01 EST
Perhaps you have not yet executed fedora-packager-setup.sh.
The setup procedure for koji is written on

http://fedoraproject.org/wiki/PackageMaintainers/UsingKoji
Comment 27 MASA.H 2008-01-13 21:51:01 EST
Oh, Right!
All builds succeeded.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.